# Suspend device for user

Suspends the specified device for the given user. This requires a **client access token** of the application, and must be called from the backend. **Required permissions**: `apps:edit`, `[appId]:edit`, `devices:edit`.

Endpoint: POST /v1/users/{user_id}/devices/{device_id}/suspend
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Path parameters:

  - `user_id` (string, required)
    User ID

  - `device_id` (string, required)
    Device ID

## Response 200:

  - `200` (unknown)
    Device suspended

## Response 400:

  - `400` (unknown)
    Invalid request parameters

## Response 400 fields (application/json):

  - `error_code` (string)
    Enum: "system_invalid_input"

  - `message` (string)

## Response 404:

  - `404` (unknown)
    User or device does not exist

## Response 404 fields (application/json):

  - `error_code` (string)
    Enum: "user_not_found", "device_not_found"

  - `message` (string)

